# $Revision: 1.23 $, $Date: 2010/07/08 08:16:28 $

%define		module	jabber

Summary:	"jabber.py" Python module for Jabber applications
Summary(pl.UTF-8):	Moduły Pythona "jabber.py" dla aplikacji Jabber
Name:		python-%{module}
Version:	0.5
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/jabberpy/jabberpy-%{version}-0.tar.gz
# Source0-md5:	cbb9a1126bdc39ff49af605fb55c282e
URL:		http://jabberpy.sourceforge.net/
BuildRequires:	python-modules
BuildRequires:	python-devel
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
jabber.py is a Python module for the Jabber instant messaging
protocol. jabber.py deals with the XML parsing and socket code,
leaving the programmer to concentrate on developing quality Jabber
based applications with Python.

%description -l pl.UTF-8
jabber.py to moduł Pythona do protokołu komunikatora Jabber. jabber.py
obsługuje analizowanie XML-a i gniazda, pozwalając programiście
skoncentrować się na tworzeniu w Pythonie wysokiej jakości aplikacji
opartych na Jabberze.

%prep
%setup -q -n jabberpy-%{version}-0

%build
# next version can contain __init__.py, so check if this workaround is
# still required, please
# see also:
# http://sourceforge.net/tracker/index.php?func=detail&aid=897527&group_id=30215&atid=398567
echo 'from jabber import *' > jabber/__init__.py
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/jabber/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README
%{py_sitescriptdir}/jabber
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-jabber.spec,v $
Revision 1.23  2010/07/08 08:16:28  arekm
- release 4

Revision 1.22  2008/10/03 17:52:02  arekm
- release 3

Revision 1.21  2007-08-10 17:54:48  shadzik
- rel 2

Revision 1.20  2007/08/10 17:51:01  shadzik
- 0.5 final

Revision 1.19  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.17  2004/12/24 21:48:53  arekm
- rel .3

Revision 1.16  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.15  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.14  2004/04/25 15:10:07  leafnode
- create __init__ before build

Revision 1.13  2004/04/01 15:44:09  wrobell
- import jabber.jabber into jabber package namespace
- rel. 1.rc6.2

Revision 1.12  2004/04/01 12:06:57  wrobell
- ver. 0.5-rc6, rel 1.rc6.1
- shorter and better lack of __init__.py handling
  http://sourceforge.net/tracker/index.php?func=detail&aid=897527&group_id=30215&atid=398567

Revision 1.11  2004/02/28 16:13:21  djurban
- add missing init_py file

Revision 1.10  2004/02/28 15:58:03  djurban
- fixed broken build, someone check it before rel++

Revision 1.9  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.8  2004/01/19 13:14:26  jajcus

- Release: .2
- new architecture-independent python modules paths

Revision 1.7  2003/11/10 21:21:57  leafnode
- updated to 0.5 pre1

Revision 1.6  2003/08/16 23:33:32  snurf
- added missing BR

Revision 1.5  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/20 09:29:40  qboosh
- standardized sf URLs, minor fixes or cosmetics

Revision 1.2  2003/04/24 21:29:42  qboosh
- pl description

Revision 1.1  2003/04/24 11:22:34  jajcus
- new spec for jabber.py
